package de.avatic.lcc.model.db.premises.route;

import java.math.BigDecimal;


public class Destination {

    private Integer id;

    private Integer premiseId;

    private Integer annualAmount;

    private Integer destinationNodeId;

    private BigDecimal rateD2d;

    private Boolean isD2d;

    private Integer leadTimeD2d;

    private BigDecimal repackingCost;

    private BigDecimal handlingCost;

    private BigDecimal disposalCost;

    private BigDecimal geoLat;

    private BigDecimal geoLng;

    private Integer countryId;

    public Integer getLeadTimeD2d() {
        return leadTimeD2d;
    }

    public void setLeadTimeD2d(Integer leadTimeD2d) {
        this.leadTimeD2d = leadTimeD2d;
    }

    public Integer getCountryId() {
        return countryId;
    }

    public void setCountryId(Integer countryId) {
        this.countryId = countryId;
    }

    public BigDecimal getGeoLat() {
        return geoLat;
    }

    public void setGeoLat(BigDecimal geoLat) {
        this.geoLat = geoLat;
    }

    public BigDecimal getGeoLng() {
        return geoLng;
    }

    public void setGeoLng(BigDecimal geoLng) {
        this.geoLng = geoLng;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPremiseId() {
        return premiseId;
    }

    public void setPremiseId(Integer premiseId) {
        this.premiseId = premiseId;
    }

    public Integer getAnnualAmount() {
        return annualAmount;
    }

    public void setAnnualAmount(Integer annualAmount) {
        this.annualAmount = annualAmount;
    }

    public Integer getDestinationNodeId() {
        return destinationNodeId;
    }

    public void setDestinationNodeId(Integer destinationNodeId) {
        this.destinationNodeId = destinationNodeId;
    }

    public BigDecimal getRateD2d() {
        return rateD2d;
    }

    public void setRateD2d(BigDecimal rateD2d) {
        this.rateD2d = rateD2d;
    }

    public Boolean getD2d() {
        return isD2d;
    }

    public void setD2d(Boolean d2d) {
        isD2d = d2d;
    }

    public BigDecimal getRepackingCost() {
        return repackingCost;
    }

    public void setRepackingCost(BigDecimal repackingCost) {
        this.repackingCost = repackingCost;
    }

    public BigDecimal getHandlingCost() {
        return handlingCost;
    }

    public void setHandlingCost(BigDecimal handlingCost) {
        this.handlingCost = handlingCost;
    }

    public BigDecimal getDisposalCost() {
        return disposalCost;
    }

    public void setDisposalCost(BigDecimal disposalCost) {
        this.disposalCost = disposalCost;
    }
}
